Support

GET
/v1/agents

Query Parameters

agentDisplayName?string

Agent display name (partial matching supported)

Lengthlength <= 64
version?string

Target version (flexible matching supported)

agentHost?string

Target agent host domain

protocol?string

Target protocol (optional filter) - valid values are 'A2A', 'MCP', 'HTTP-API'

Value in

  • "MCP"
  • "A2A"
  • "HTTP-API"
limit?integer

Maximum number of results to return (default 20, max 100)

Range1 <= value <= 100
Default20
offset?integer

Number of results to skip for pagination (default 0)

Range0 <= value
Default0
status?array<>

Filter by agent lifecycle status. Can specify multiple values. Defaults to ACTIVE when not provided. Use 'ALL' to return agents of any status. If 'ALL' is included with other status values, only 'ALL' is applied.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents"
{  "agents": [    {      "agentDescription": "An agent that analyzes sentiment in text",      "agentHost": "myagent.example.com",      "agentDisplayName": "Sentiment Analyzer",      "ansName": "ans://v1.0.0.myagent.example.com",      "agentId": "550e8400-e29b-41d4-a716-446655440000",      "endpoints": [        {          "agentUrl": "https://myagent.example.com/mcp",          "metaDataUrl": "https://myagent.example.com/.well-known/mcp.json",          "documentationUrl": "https://docs.myagent.example.com",          "protocol": "MCP",          "transports": [            "STREAMABLE-HTTP"          ],          "functions": [            {              "id": "domain_suggest",              "name": "Domain Suggest",              "tags": [                "domain",                "suggestion",                "availability"              ]            }          ]        }      ],      "links": [        {          "href": "https://api.godaddy.com/v1/agents/550e8400-e29b-41d4-a716-446655440000",          "rel": "agent-details"        }      ],      "registrationTimestamp": "2019-08-24T14:15:22Z",      "ttl": 0,      "version": "1.0.0"    }  ],  "hasMore": false,  "limit": 0,  "offset": 0,  "returnedCount": 0,  "searchCriteria": {    "agentHost": "myagent.example.com",    "agentDisplayName": "Sentiment Analyzer",    "protocol": "A2A",    "version": "^1.0.0"  },  "totalCount": 0}

Last updated on

How is this guide?